﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using Telerik.Windows.Controls;

namespace TabControl
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

           radTabControl.ItemsSource = Enumerable.Range(1, 5).Select(num =>
               new TabItemModel()
               {
                   Name = String.Format("Header {0}", num),
                   Content = String.Format("Content {0}", num)
               });
        }

        private void radTabControl_SelectionChanged(object sender, RoutedEventArgs e)
        {

        }

        private void radTabControl_PreviewSelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
            var radtabItemCollection = this.radTabControl.ChildrenOfType<RadTabItem>();
            if (radtabItemCollection != null)
            {
                foreach (var item in (radtabItemCollection as IList<RadTabItem>))
                {
                    (item as RadTabItem).ChildrenOfType<EditableTabHeader>()[0].IsInEditMode = false;
                }
            }
        }

        private void radTabControl_Loaded(object sender, RoutedEventArgs e)
        {

        }
    }        
}

